%define upstream_name    Mock-Quick
%define upstream_version 1.111

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Control a mocked object after creation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/E/EX/EXODIST/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter::Declare) >= 0.103.0
BuildRequires: perl(Fennec::Lite) >= 0.4.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception) >= 0.290.0
BuildRequires: perl(Test::Simple) >= 0.880.0
BuildArch:  noarch

%description
Mock-Quick is here to solve the current problems with Mocking libraries.

There are a couple Mocking libraries available on CPAN. The primary
problems with these libraries include verbose syntax, and most importantly
side-effects. Some Mocking libraries expect you to mock a specific class,
and will unload it then redefine it. This is particularly a problem if you
only want to override a class on a lexical level.

Mock-Object provides a declarative mocking interface that results in a very
concise, but clear syntax. There are separate facilities for mocking object
instances, and classes. You can quickly create an instance of an object
with custom attributes and methods. You can also quickly create an
anonymous class, optionally inheriting from another, with whatever methods
you desire.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.111.0-7.mga10
+ Revision: 2204035
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.111.0-6.mga9
+ Revision: 1809675
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.111.0-5.mga8
+ Revision: 1505144
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.111.0-4.mga7
+ Revision: 1284774
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.111.0-3.mga7
+ Revision: 1165528
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 1.111.0-2.mga7
+ Revision: 1156191
- update to 1.111
+ pterjan <pterjan>
- Rebuild for perl 5.22.2
+ shlomif <shlomif>
- Add BR on Module-Build
- update to 1.111

* Fri Feb 19 2016 umeabot <umeabot> 1.110.0-2.mga6
+ Revision: 969580
- Mageia 6 Mass Rebuild

* Wed Sep 02 2015 shlomif <shlomif> 1.110.0-1.mga6
+ Revision: 872252
- New version 1.110

* Wed Oct 15 2014 umeabot <umeabot> 1.108.0-3.mga5
+ Revision: 744952
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 sander85 <sander85> 1.108.0-1.mga5
+ Revision: 669068
- update to 1.108

* Tue Nov 12 2013 shlomif <shlomif> 1.107.0-1.mga4
+ Revision: 550801
- Missing BRs
- imported package perl-Mock-Quick


* Tue Nov 12 2013 cpan2dist 1.107-1mga
- initial mageia release, generated with cpan2dist
